| Version: 3.1.5

Classes | Typedefs
propgridiface.h File Reference

## Classes
class | wxPropertyGridInterface
| Most of the shared property manipulation interface shared by wxPropertyGrid, wxPropertyGridPage, and wxPropertyGridManager is defined in this class. More...
class | wxPGPropArgCls

## Macros
#define | wxPG_LABEL (*wxPGProperty::sm_wxPG_LABEL)
| Used to tell wxPGProperty to use label as name as well. More...
#define | wxPG_LABEL_STRING wxS("@!")
| This is the value placed in wxPGProperty::sm_wxPG_LABEL. More...
#define | wxPG_COLOUR_BLACK (*wxBLACK)
| Used to tell wxPGProperty to use label as name as well. More...
#define | wxPG_COLOUR(R, G, B) ((wxUint32)(R+(G<<8)+(B<<16)))
| Convert Red, Green and Blue to a single 32-bit value. More...
#define | wxPG_DEFAULT_IMAGE_SIZE wxDefaultSize
| If property is supposed to have custom-painted image, then returning this in OnMeasureImage() will usually be enough. More...

## Typedefs
typedef const wxPGPropArgCls & | wxPGPropArg

## Enumerations
enum | wxPG_PROPERTYVALUES_FLAGS { wxPG_DONT_RECURSE , wxPG_KEEP_STRUCTURE , wxPG_RECURSE , wxPG_INC_ATTRIBUTES , wxPG_RECURSE_STARTS , wxPG_FORCE , wxPG_SORT_TOP_LEVEL_ONLY }

## Macro Definition Documentation

## ◆ wxPG_COLOUR

#define wxPG_COLOUR | ( |  | R,
|  |  | G,
|  |  | B
| ) |  | ((wxUint32)(R+(G<<8)+(B<<16)))

Convert Red, Green and Blue to a single 32-bit value.

## ◆ wxPG_COLOUR_BLACK

#define wxPG_COLOUR_BLACK (*wxBLACK)

Used to tell wxPGProperty to use label as name as well.

# wxPropertyGrid Miscellaneous

This section describes some miscellaneous values, types and macros.

## ◆ wxPG_DEFAULT_IMAGE_SIZE

#define wxPG_DEFAULT_IMAGE_SIZE wxDefaultSize

If property is supposed to have custom-painted image, then returning this in OnMeasureImage() will usually be enough.

## ◆ wxPG_LABEL

#define wxPG_LABEL (*wxPGProperty::sm_wxPG_LABEL)

Used to tell wxPGProperty to use label as name as well.

# wxPropertyGrid Miscellaneous

This section describes some miscellaneous values, types and macros.

## ◆ wxPG_LABEL_STRING

#define wxPG_LABEL_STRING wxS("@!")

This is the value placed in wxPGProperty::sm_wxPG_LABEL.

## Typedef Documentation

## ◆ wxPGPropArg

typedef const wxPGPropArgCls& wxPGPropArg

## Enumeration Type Documentation

## ◆ wxPG_PROPERTYVALUES_FLAGS

enum wxPG_PROPERTYVALUES_FLAGS

# wxPropertyGrid Property Values Attribute Identifiers

Many wxPropertyGridInterface and wxPropertyGrid methods to set property value or to modify its state use these flags to specify additional details of the operation.

Enumerator
wxPG_DONT_RECURSE | Flag for wxPropertyGridInterface::SetProperty* functions, wxPropertyGridInterface::HideProperty(), etc. Apply changes only for the property in question.
wxPG_KEEP_STRUCTURE | Flag for wxPropertyGridInterface::GetPropertyValues(). Use this flag to retain category structure; each sub-category will be its own wxVariantList of wxVariant.
wxPG_RECURSE | Flag for wxPropertyGridInterface::SetProperty* functions, wxPropertyGridInterface::HideProperty(), etc. Apply changes recursively for the property and all its children.
wxPG_INC_ATTRIBUTES | Flag for wxPropertyGridInterface::GetPropertyValues(). Use this flag to include property attributes as well.
wxPG_RECURSE_STARTS | Used when first starting recursion.
wxPG_FORCE | Force value change.
wxPG_SORT_TOP_LEVEL_ONLY | Only sort categories and their immediate children. Sorting done by wxPG_AUTO_SORT option uses this.